<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2017 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_artikel_list
 * @version 1.04
 *         
 */

namespace css_artikel_list;

if(defined("FILENAME_KUNDENZIP") || defined("JTLCRON") || defined("AM_EINSTELLUNGEN") || $oPlugin->nStatus!=2) return;

require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.css_artikel_list.php';

$cssPlugin = css_artikel_list::getInstance($oPlugin);

$cParameter_arr = \Shop::getParameters();
$NaviFilter     = \Shop::buildNaviFilter($cParameter_arr);

// wenn wir kein Kategorielisting haben steigen wir direkt aus
if(		!isset($NaviFilter->Kategorie) || !$NaviFilter->Kategorie->kKategorie 
			|| 	$cssPlugin->getCategorieLevel($cParameter_arr) < $cssPlugin->getPluginConfig('category_level')
			|| 	$cssPlugin->getListOption($NaviFilter) === false
		) {
			return;
}
$cssPlugin->createFilter($args_arr,$cParameter_arr,$NaviFilter);

